[SCM] Samba Shared Repository - branch v4-11-test updated

Stefan Metzmacher metze at samba.org
Tue Jan 21 18:35:23 UTC 2020


The branch, v4-11-test has been updated
       via  bbacbd5f3f2 script/release.sh: make it possible to run from a git worktree
      from  c5f61b9dd0a VERSION: Bump version up to 4.11.6.

https://git.samba.org/?p=samba.git;a=shortlog;h=v4-11-test


- Log -----------------------------------------------------------------
commit bbacbd5f3f2f1fc624f057c6e30160fbcfbaba40
Author: Stefan Metzmacher <metze at samba.org>
Date:   Tue Jan 21 19:25:00 2020 +0100

    script/release.sh: make it possible to run from a git worktree
    
    .git is a regular file in that case.
    
    Also check that script/release.sh is present as a relative path
    to ensure we're called from the expected location.
    
    Signed-off-by: Stefan Metzmacher <metze at samba.org>
    (cherry picked from commit 648f94d2031c6e758bdf54089d1e710c265ca732)

-----------------------------------------------------------------------

Summary of changes:
 script/release.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)


Changeset truncated at 500 lines:

diff --git a/script/release.sh b/script/release.sh
index b533e259440..6c3ba0d4add 100755
--- a/script/release.sh
+++ b/script/release.sh
@@ -17,14 +17,14 @@ CONF_UPLOAD_URL="samba-bugs at download-master.samba.org:/home/data/ftp/pub"
 CONF_DOWNLOAD_URL="https://download.samba.org/pub"
 CONF_HISTORY_URL="https://www.samba.org"
 
-test -d ".git" || {
+test -d ".git" -o -r ".git" || {
 	echo "Run this script from the top-level directory in the"
 	echo "repository"
 	exit 1
 }
 
 usage() {
-	echo "Usage: release.sh <PRODUCT> <COMMAND>"
+	echo "Usage: script/release.sh <PRODUCT> <COMMAND>"
 	echo ""
 	echo "PRODUCT: ldb, talloc, tevent, tdb, samba-rc, samba-stable"
 	echo "COMMAND: fullrelease, create, push, upload, announce"
@@ -32,6 +32,13 @@ usage() {
 	return 0
 }
 
+test -x "script/release.sh" || {
+	usage
+	echo "Run this script from the top-level directory in the"
+	echo "repository: as 'script/release.sh'"
+	exit 1
+}
+
 check_args() {
 	local cmd="$1"
 	local got_args="$2"


-- 
Samba Shared Repository



More information about the samba-cvs mailing list